Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfTable

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
              org.apache.fop.render.rtf.rtflib.rtfdoc.RtfTable

    public class RtfTable

extends RtfContainer

Container for RtfRow elements.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

Field Summary

Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`attrib, parent, writer`

Method Summary
`RtfAttributes` | `getBorderAttributes()` Returns the RtfAttributes for the borders of the table.
`RtfAttributes` | `getHeaderAttribs()`
`ITableColumnsInfo` | `getITableColumnsInfo()` Added by Boris Poudérous on 07/22/2002
`int` | `getNestedTableDepth()` Returns the nested table depth.
`RtfTableRow` | `getRow()`
`RtfAttributes` | `getRtfAttributes()` Added by Normand Masse
`boolean` | `isHighestRow(int id)`
`boolean` | `isNestedTable()`
`RtfTableRow` | `newTableRow()` Close current row if any and start a new one
`RtfTableRow` | `newTableRow(RtfAttributes attrs)` Close current row if any and start a new one
`void` | `setBorderAttributes(RtfAttributes attributes)` Sets the RtfAttributes for the borders of the table.
`void` | `setHeaderAttribs(RtfAttributes attrs)` Added by Normand Masse Support for table-header attributes (used instead of table attributes)
`void` | `setNestedTableDepth(int nestedTableDepth)` Sets the nested table depth.
`protected void` | `writeRtfPrefix()` Overridden to write RTF prefix code, what comes before our children
`protected void` | `writeRtfSuffix()` Overridden to write RTF suffix code, what comes after our children

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
`addChild, findChildren, getChildCount, getChildren, isEmpty, okToWriteRtf, setChildren, setOptions, toString, writeRtfContent`

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`close, getParentOfClass, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeStarControlWord, writeStarControlWordNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### newTableRow

    public RtfTableRow newTableRow()
                            throws java.io.IOException

  Close current row if any and start a new one

  Returns:
    new RtfTableRow
  Throws:
    `java.io.IOException` - for I/O problems

### newTableRow

    public RtfTableRow newTableRow(RtfAttributes attrs)
                            throws java.io.IOException,
                                   FOPException

  Close current row if any and start a new one

  Parameters:
    `attrs` - attributs of new RtfTableRow
  Returns:
    new RtfTableRow
  Throws:
    `java.io.IOException` - for I/O problems
    `FOPException` - if attributes cannot be cloned

### writeRtfPrefix

    protected void writeRtfPrefix()
                           throws java.io.IOException

  Overridden to write RTF prefix code, what comes before our children

  Overrides:
    `writeRtfPrefix` in class `RtfElement`
  Throws:
    `java.io.IOException` - for I/O problems

### writeRtfSuffix

    protected void writeRtfSuffix()
                           throws java.io.IOException

  Overridden to write RTF suffix code, what comes after our children

  Overrides:
    `writeRtfSuffix` in class `RtfElement`
  Throws:
    `java.io.IOException` - for I/O problems

### isHighestRow

    public boolean isHighestRow(int id)

  Parameters:
    `id` - row to check (??)
  Returns:
    true if id is the highestRow

### getITableColumnsInfo

    public ITableColumnsInfo getITableColumnsInfo()

  Added by Boris Poudérous on 07/22/2002

  Returns:
    ITableColumnsInfo for this table

### setHeaderAttribs

    public void setHeaderAttribs(RtfAttributes attrs)

  Added by Normand Masse Support for table-header attributes (used instead of table attributes)

  Parameters:
    `attrs` - attributes to be set

### getHeaderAttribs

    public RtfAttributes getHeaderAttribs()

  Returns:
    RtfAttributes of Header

### getRtfAttributes

    public RtfAttributes getRtfAttributes()

  Added by Normand Masse

  Overrides:
    `getRtfAttributes` in class `RtfElement`
  Returns:
    the table-header attributes if they are present, otherwise the parent's attributes are returned normally.

### isNestedTable

    public boolean isNestedTable()

  Returns:
    true if the the table is a nested table

### getRow

    public RtfTableRow getRow()

  Returns:
    Parent row table (for nested tables only)

### setNestedTableDepth

    public void setNestedTableDepth(int nestedTableDepth)

  Sets the nested table depth.

  Parameters:
    `nestedTableDepth` - the nested table depth

### getNestedTableDepth

    public int getNestedTableDepth()

  Returns the nested table depth.

  Returns:
    the nested table depth

### setBorderAttributes

    public void setBorderAttributes(RtfAttributes attributes)

  Sets the RtfAttributes for the borders of the table.

  Parameters:
    `attributes` - Border attributes of the table.

### getBorderAttributes

    public RtfAttributes getBorderAttributes()

  Returns the RtfAttributes for the borders of the table.

  Returns:
    Border attributes of the table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.